#!/bin/sh
# this is needed for user* programs
export PATH=$PATH:/usr/sbin

# qmail has the uids and gids compiled in!
# First remove old qmail users since they may
# exist with different uid
echo ""
echo "Removing old qmail users (if they exist):"

function user_del() {
    if  id -u $1 >/dev/null 2> /dev/null ; then
	echo "   Removing $1 user ..."
	userdel $1
    fi
}
for i in alias qmaild qmaill qmailp qmailq qmailr qmails; do
    user_del $i
done

## update nis database
if /sbin/pidof ypserv >/dev/null 2>/dev/null; then
    (cd /var/yp; make)
fi

echo ""
echo "Removing old qmail groups (if they exist):"
function group_del() {
    if groupmod $1  >/dev/null 2> /dev/null; then
	echo "   Removing $1 group ..."
	groupdel $1
    fi
}
for i in nofiles qmail; do
    group_del $i
done

## update nis database
if /sbin/pidof ypserv >/dev/null 2>/dev/null; then
    (cd /var/yp; make)
fi
